القائمة

apiSetWarrantyTermsBySku

تعديليتطلب مفتاحًا

Sets or clears the warranty terms of the offer with this SKU.

الوسائط

الاسمالنوعالوصف
skuString!مطلوب
termsWarrantyTermsInput

يُرجع

WarrantyTermsView

مثال

GraphQL
mutation ApiSetWarrantyTermsBySku($sku: String!, $terms: WarrantyTermsInput) {
  apiSetWarrantyTermsBySku(sku: $sku, terms: $terms) {
    claimChannel
    coverageAr
    coverageFr
    kind
    lifetime
    months
    offerId
    serviceCenterContact {
      address
      email
      name
      phone
      url
    }
    source
    updatedAt
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"mutation ApiSetWarrantyTermsBySku($sku: String!, $terms: WarrantyTermsInput) { apiSetWarrantyTermsBySku(sku: $sku, terms: $terms) { claimChannel coverageAr coverageFr kind lifetime months offerId serviceCenterContact { address email name phone url } source updatedAt } }"}'